// 不需要登录的路由
export default [
  {
    path: '/courseware-play',
    component: () => import('@/views/courseware-play/index'),
    meta: {
      title: '课件播放'
    }
  },
  {
    path: '/co-ai',
    component: () => import('@/views/co-ai/index'),
    meta: {
      title: '小酷AI'
    }
  },
  {
    path: '/student-register',
    component: () => import('@/views/student-register/index'),
    meta: {
      title: '学生注册'
    }
  },
  {
    path: '/student-digital-tools',
    component: () => import('@/views/student-register/digital-tools/index'),
    meta: {
      title: '数字化乐器学练工具'
    }
  },
  {
    path: '/goods-list',
    component: () => import('@/views/student-register/shop-mall/goods-list'),
    meta: {
      title: '商品列表'
    }
  },
  {
    path: '/goodsDetail',
    component: () =>
      import('@/views/student-register/shop-mall/goods-detail/index'),
    meta: {
      title: '商品列表'
    }
  },
  {
    path: '/order-detail',
    component: () => import('@/views/student-register/order-detail'),
    meta: {
      title: '订单详情'
    }
  },
  {
    path: '/knowledge-library',
    component: () => import('@/views/knowledge-library/index'),
    meta: {
      title: '知识库'
    }
  },
  {
    path: '/payment-result',
    name: 'payment-result',
    component: () => import('@/views/payment-result/index'),
    meta: {
      title: '支付详情'
    }
  },
  {
    path: '/shopAddress',
    name: 'shopAddress',
    component: () => import('@/views/student-register/shop-address/index'),
    meta: {
      title: '支付详情'
    }
  },
  {
    path: '/addressOperation',
    name: 'addressOperation',
    component: () =>
      import('@/views/student-register/shop-address/address-operation'),
    meta: {
      title: '收货地址'
    }
  },
  {
    path: '/payCenter',
    name: 'payCenter',
    component: () => import('@/views/adapay/pay-center'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/payDefine',
    name: 'payDefine',
    component: () => import('@/views/adapay/pay-define'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/payResult',
    name: 'payResult',
    component: () => import('@/views/adapay/pay-result'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/:pathMatch(.*)*',
    component: () => import('@/views/404'),
    meta: {
      title: '404'
    }
  }
];
